CVE-2014-9420

Bug #1407947 reported by John Johansen on 2015-01-06
256
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned
Trusty
Medium
Unassigned
Vivid
Medium
Unassigned
Wily
Medium
Unassigned
Xenial
Medium
Unassigned
Yakkety
Medium
Unassigned
linux-armadaxp (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned
Trusty
Medium
Unassigned
Vivid
Medium
Unassigned
Wily
Medium
Unassigned
Xenial
Medium
Unassigned
Yakkety
Medium
Unassigned
linux-ec2 (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned
Trusty
Medium
Unassigned
Vivid
Medium
Unassigned
Wily
Medium
Unassigned
Xenial
Medium
Unassigned
Yakkety
Medium
Unassigned
linux-flo (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned
Trusty
Medium
Unassigned
Vivid
Medium
Unassigned
Wily
Medium
Unassigned
Xenial
Medium
Unassigned
Yakkety
Medium
Unassigned
linux-fsl-imx51 (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned
Trusty
Medium
Unassigned
Vivid
Medium
Unassigned
Wily
Medium
Unassigned
Xenial
Medium
Unassigned
Yakkety
Medium
Unassigned
linux-goldfish (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned
Trusty
Medium
Unassigned
Vivid
Medium
Unassigned
Wily
Medium
Unassigned
Xenial
Medium
Unassigned
Yakkety
Medium
Unassigned
linux-lts-backport-maverick (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Precise
Undecided
Unassigned
Trusty
Undecided
Unassigned
Utopic
Undecided
Unassigned
Vivid
Undecided
Unassigned
Wily
Undecided
Unassigned
Xenial
Undecided
Unassigned
Yakkety
Undecided
Unassigned
linux-lts-backport-natty (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Precise
Undecided
Unassigned
Trusty
Undecided
Unassigned
Utopic
Undecided
Unassigned
Vivid
Undecided
Unassigned
Wily
Undecided
Unassigned
Xenial
Undecided
Unassigned
Yakkety
Undecided
Unassigned
linux-lts-quantal (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned
Trusty
Medium
Unassigned
Vivid
Medium
Unassigned
Wily
Medium
Unassigned
Xenial
Medium
Unassigned
Yakkety
Medium
Unassigned
linux-lts-raring (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned
Trusty
Medium
Unassigned
Vivid
Medium
Unassigned
Wily
Medium
Unassigned
Xenial
Medium
Unassigned
Yakkety
Medium
Unassigned
linux-lts-saucy (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned
Trusty
Medium
Unassigned
Vivid
Medium
Unassigned
Wily
Medium
Unassigned
Xenial
Medium
Unassigned
Yakkety
Medium
Unassigned
linux-lts-trusty (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned
Trusty
Medium
Unassigned
Vivid
Medium
Unassigned
Wily
Medium
Unassigned
Xenial
Medium
Unassigned
Yakkety
Medium
Unassigned
linux-lts-utopic (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned
Trusty
Medium
Unassigned
Vivid
Medium
Unassigned
Wily
Medium
Unassigned
Xenial
Medium
Unassigned
Yakkety
Medium
Unassigned
linux-lts-vivid (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned
Trusty
Medium
Unassigned
Vivid
Medium
Unassigned
Wily
Medium
Unassigned
Xenial
Medium
Unassigned
Yakkety
Medium
Unassigned
linux-lts-wily (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned
Trusty
Medium
Unassigned
Vivid
Medium
Unassigned
Wily
Medium
Unassigned
Xenial
Medium
Unassigned
Yakkety
Medium
Unassigned
linux-lts-xenial (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned
Trusty
Medium
Unassigned
Vivid
Undecided
Unassigned
Wily
Medium
Unassigned
Xenial
Medium
Unassigned
Yakkety
Medium
Unassigned
linux-mako (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned
Trusty
Medium
Unassigned
Vivid
Medium
Unassigned
Wily
Medium
Unassigned
Xenial
Medium
Unassigned
Yakkety
Medium
Unassigned
linux-manta (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned
Trusty
Medium
Unassigned
Vivid
Medium
Unassigned
Wily
Medium
Unassigned
Xenial
Medium
Unassigned
Yakkety
Medium
Unassigned
linux-mvl-dove (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned
Trusty
Medium
Unassigned
Vivid
Medium
Unassigned
Wily
Medium
Unassigned
Xenial
Medium
Unassigned
Yakkety
Medium
Unassigned
linux-raspi2 (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned
Trusty
Medium
Unassigned
Vivid
Medium
Unassigned
Wily
Medium
Unassigned
Xenial
Medium
Unassigned
Yakkety
Medium
Unassigned
linux-snapdragon (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned
Trusty
Medium
Unassigned
Vivid
Undecided
Unassigned
Wily
Medium
Unassigned
Xenial
Medium
Unassigned
Yakkety
Medium
Unassigned
linux-ti-omap4 (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned
Trusty
Medium
Unassigned
Vivid
Medium
Unassigned
Wily
Medium
Unassigned
Xenial
Medium
Unassigned
Yakkety
Medium
Unassigned

Bug Description

The rock_continue function in fs/isofs/rock.c in the Linux kernel through 3.18.1 does not restrict the number of Rock Ridge continuation entries, which allows local users to cause a denial of service (infinite loop, and system crash or hang) via a crafted iso9660 image.

Break-Fix: - f54e18f1b831c92f6512d2eedb224cd63d607d3d

John Johansen (jjohansen) wrote :

CVE-2014-9420

tags: added: kernel-cve-tracking-bug
information type: Public → Public Security
Changed in linux-lts-trusty (Ubuntu Trusty):
status: New → Invalid
Changed in linux-lts-trusty (Ubuntu Lucid):
status: New → Invalid
Changed in linux-lts-trusty (Ubuntu Vivid):
status: New → Invalid
Changed in linux-lts-trusty (Ubuntu Utopic):
status: New → Invalid
Changed in linux-armadaxp (Ubuntu Trusty):
status: New → Invalid
Changed in linux-armadaxp (Ubuntu Lucid):
status: New → Invalid
Changed in linux-armadaxp (Ubuntu Vivid):
status: New → Invalid
Changed in linux-armadaxp (Ubuntu Utopic):
status: New → Invalid
Changed in linux-lts-utopic (Ubuntu Precise):
status: New → Invalid
Changed in linux-lts-utopic (Ubuntu Lucid):
status: New → Invalid
Changed in linux-lts-utopic (Ubuntu Vivid):
status: New → Invalid
Changed in linux-lts-utopic (Ubuntu Utopic):
status: New → Invalid
Changed in linux-ec2 (Ubuntu Precise):
status: New → Invalid
Changed in linux-ec2 (Ubuntu Trusty):
status: New → Invalid
Changed in linux-ec2 (Ubuntu Vivid):
status: New → Invalid
Changed in linux-ec2 (Ubuntu Utopic):
status: New → Invalid
Changed in linux-lts-quantal (Ubuntu Trusty):
status: New → Invalid
Changed in linux-lts-quantal (Ubuntu Lucid):
status: New → Invalid
Changed in linux-lts-quantal (Ubuntu Vivid):
status: New → Invalid
Changed in linux-lts-quantal (Ubuntu Utopic):
status: New → Invalid
Changed in linux-mvl-dove (Ubuntu Precise):
status: New → Invalid
Changed in linux-mvl-dove (Ubuntu Trusty):
status: New → Invalid
Changed in linux-mvl-dove (Ubuntu Vivid):
status: New → Invalid
Changed in linux-mvl-dove (Ubuntu Utopic):
status: New → Invalid
Changed in linux-lts-saucy (Ubuntu Trusty):
status: New → Invalid
Changed in linux-lts-saucy (Ubuntu Lucid):
status: New → Invalid
Changed in linux-lts-saucy (Ubuntu Vivid):
status: New → Invalid
Changed in linux-lts-saucy (Ubuntu Utopic):
status: New → Invalid
Changed in linux-ti-omap4 (Ubuntu Trusty):
status: New → Invalid
Changed in linux-ti-omap4 (Ubuntu Lucid):
status: New → Invalid
Changed in linux-ti-omap4 (Ubuntu Vivid):
status: New → Invalid
Changed in linux-ti-omap4 (Ubuntu Utopic):
status: New → Invalid
Changed in linux-fsl-imx51 (Ubuntu Precise):
status: New → Invalid
Changed in linux-fsl-imx51 (Ubuntu Trusty):
status: New → Invalid
Changed in linux-fsl-imx51 (Ubuntu Vivid):
status: New → Invalid
Changed in linux-fsl-imx51 (Ubuntu Utopic):
status: New → Invalid
Changed in linux-lts-raring (Ubuntu Trusty):
status: New → Invalid
Changed in linux-lts-raring (Ubuntu Lucid):
status: New → Invalid
Changed in linux-lts-raring (Ubuntu Vivid):
status: New → Invalid
Changed in linux-lts-raring (Ubuntu Utopic):
status: New → Invalid
description: updated
Changed in linux-lts-trusty (Ubuntu Precise):
importance: Undecided → Medium
Changed in linux-lts-trusty (Ubuntu Trusty):
importance: Undecided → Medium
Changed in linux-lts-trusty (Ubuntu Lucid):
importance: Undecided → Medium
Changed in linux-lts-trusty (Ubuntu Vivid):
importance: Undecided → Medium
Changed in linux-lts-trusty (Ubuntu Utopic):
importance: Undecided → Medium
Changed in linux-armadaxp (Ubuntu Precise):
importance: Undecided → Medium
Changed in linux-armadaxp (Ubuntu Trusty):
importance: Undecided → Medium
Changed in linux-armadaxp (Ubuntu Lucid):
importance: Undecided → Medium
Changed in linux-armadaxp (Ubuntu Vivid):
importance: Undecided → Medium
Changed in linux-armadaxp (Ubuntu Utopic):
importance: Undecided → Medium
Changed in linux-lts-utopic (Ubuntu Precise):
importance: Undecided → Medium
Changed in linux-lts-utopic (Ubuntu Trusty):
importance: Undecided → Medium
Changed in linux-lts-utopic (Ubuntu Lucid):
importance: Undecided → Medium
Changed in linux-lts-utopic (Ubuntu Vivid):
importance: Undecided → Medium
Changed in linux-lts-utopic (Ubuntu Utopic):
importance: Undecided → Medium
Changed in linux-ec2 (Ubuntu Precise):
importance: Undecided → Medium
Changed in linux-ec2 (Ubuntu Trusty):
importance: Undecided → Medium
Changed in linux-ec2 (Ubuntu Lucid):
importance: Undecided → Medium
Changed in linux-ec2 (Ubuntu Vivid):
importance: Undecided → Medium
Changed in linux-ec2 (Ubuntu Utopic):
importance: Undecided → Medium
Changed in linux-lts-quantal (Ubuntu Precise):
importance: Undecided → Medium
Changed in linux-lts-quantal (Ubuntu Trusty):
importance: Undecided → Medium
Changed in linux-lts-quantal (Ubuntu Lucid):
importance: Undecided → Medium
Changed in linux-lts-quantal (Ubuntu Vivid):
importance: Undecided → Medium
Changed in linux-lts-quantal (Ubuntu Utopic):
importance: Undecided → Medium
Changed in linux-mvl-dove (Ubuntu Precise):
importance: Undecided → Medium
Changed in linux-mvl-dove (Ubuntu Trusty):
importance: Undecided → Medium
Changed in linux-mvl-dove (Ubuntu Lucid):
status: New → Invalid
importance: Undecided → Medium
Changed in linux-mvl-dove (Ubuntu Vivid):
importance: Undecided → Medium
Changed in linux-mvl-dove (Ubuntu Utopic):
importance: Undecided → Medium
Changed in linux-lts-saucy (Ubuntu Precise):
importance: Undecided → Medium
Changed in linux-lts-saucy (Ubuntu Trusty):
importance: Undecided → Medium
Changed in linux-lts-saucy (Ubuntu Lucid):
importance: Undecided → Medium
Changed in linux-lts-saucy (Ubuntu Vivid):
importance: Undecided → Medium
Changed in linux-lts-saucy (Ubuntu Utopic):
importance: Undecided → Medium
Changed in linux (Ubuntu Precise):
importance: Undecided → Medium
Changed in linux (Ubuntu Trusty):
importance: Undecided → Medium
Changed in linux (Ubuntu Lucid):
importance: Undecided → Medium
Changed in linux (Ubuntu Vivid):
importance: Undecided → Medium
Changed in linux (Ubuntu Utopic):
importance: Undecided → Medium
Changed in linux-ti-omap4 (Ubuntu Precise):
importance: Undecided → Medium
Changed in linux-ti-omap4 (Ubuntu Trusty):
importance: Undecided → Medium
Changed in linux-ti-omap4 (Ubuntu Lucid):
importance: Undecided → Medium
Changed in linux-ti-omap4 (Ubuntu Vivid):
importance: Undecided → Medium
Changed in linux-ti-omap4 (Ubuntu Utopic):
importance: Undecided → Medium
Changed in linux-fsl-imx51 (Ubuntu Precise):
importance: Undecided → Medium
Changed in linux-fsl-imx51 (Ubuntu Trusty):
importance: Undecided → Medium
Changed in linux-fsl-imx51 (Ubuntu Lucid):
status: New → Invalid
importance: Undecided → Medium
Changed in linux-fsl-imx51 (Ubuntu Vivid):
importance: Undecided → Medium
Changed in linux-fsl-imx51 (Ubuntu Utopic):
importance: Undecided → Medium
Changed in linux-lts-raring (Ubuntu Precise):
importance: Undecided → Medium
Changed in linux-lts-raring (Ubuntu Trusty):
importance: Undecided → Medium
Changed in linux-lts-raring (Ubuntu Lucid):
importance: Undecided → Medium
Changed in linux-lts-raring (Ubuntu Vivid):
importance: Undecided → Medium
Changed in linux-lts-raring (Ubuntu Utopic):
importance: Undecided → Medium
Brad Figg (brad-figg) on 2015-01-07
Changed in linux (Ubuntu Lucid):
status: New → Fix Committed
Changed in linux (Ubuntu Precise):
status: New → Fix Committed
Changed in linux-lts-raring (Ubuntu Precise):
status: New → Invalid
Changed in linux (Ubuntu Vivid):
status: New → Fix Committed
Andy Whitcroft (apw) on 2015-01-19
Changed in linux-ec2 (Ubuntu Lucid):
status: New → Fix Committed
Changed in linux-armadaxp (Ubuntu Precise):
status: New → Fix Committed
Changed in linux-flo (Ubuntu Precise):
status: New → Invalid
importance: Undecided → Medium
Changed in linux-flo (Ubuntu Trusty):
status: New → Invalid
importance: Undecided → Medium
Changed in linux-flo (Ubuntu Lucid):
status: New → Invalid
importance: Undecided → Medium
Changed in linux-flo (Ubuntu Vivid):
importance: Undecided → Medium
Changed in linux-flo (Ubuntu Utopic):
importance: Undecided → Medium
Changed in linux-goldfish (Ubuntu Precise):
status: New → Invalid
importance: Undecided → Medium
Changed in linux-goldfish (Ubuntu Trusty):
status: New → Invalid
importance: Undecided → Medium
Changed in linux-goldfish (Ubuntu Lucid):
status: New → Invalid
importance: Undecided → Medium
Changed in linux-goldfish (Ubuntu Vivid):
importance: Undecided → Medium
Changed in linux-goldfish (Ubuntu Utopic):
importance: Undecided → Medium
Changed in linux-mako (Ubuntu Precise):
status: New → Invalid
importance: Undecided → Medium
Changed in linux-mako (Ubuntu Trusty):
status: New → Invalid
importance: Undecided → Medium
Changed in linux-mako (Ubuntu Lucid):
status: New → Invalid
importance: Undecided → Medium
Changed in linux-mako (Ubuntu Vivid):
importance: Undecided → Medium
Changed in linux-mako (Ubuntu Utopic):
importance: Undecided → Medium
Changed in linux-ti-omap4 (Ubuntu Precise):
status: New → Fix Committed
Changed in linux-manta (Ubuntu Precise):
status: New → Invalid
importance: Undecided → Medium
Changed in linux-manta (Ubuntu Trusty):
status: New → Invalid
importance: Undecided → Medium
Changed in linux-manta (Ubuntu Lucid):
status: New → Invalid
importance: Undecided → Medium
Changed in linux-manta (Ubuntu Vivid):
importance: Undecided → Medium
Changed in linux-manta (Ubuntu Utopic):
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.32-72.139

---------------
linux (2.6.32-72.139) lucid; urgency=low

  [ Seth Forshee ]

  * Release Tracking Bug
    - LP: #1410907

  [ Upstream Kernel Changes ]

  * isofs: Fix infinite looping over CE entries
    - LP: #1407947
    - CVE-2014-9420
  * x86/tls: Validate TLS entries to protect espfix
    - LP: #1403852
    - CVE-2014-8133
 -- Seth Forshee <email address hidden> Wed, 14 Jan 2015 12:02:05 -0600

Changed in linux (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-ec2 - 2.6.32-375.92

---------------
linux-ec2 (2.6.32-375.92) lucid; urgency=low

  [ Stefan Bader ]

  * Rebased to Ubuntu-2.6.32-71.138
  * Xen: x86, 64-bit: Move K8 B step iret fixup to fault entry asm
    - LP: #1403918
  * Xen: x86-64, modify_ldt: Ban 16-bit segments on 64-bit kernels
    - LP: #1403918
  * Xen: x86-32, espfix: Remove filter for espfix32 due to race
    - LP: #1403918
  * Xen: x86-64, espfix: Don't leak bits 31:16 of %esp returning to 16-bit
    stack
    - LP: #1403918
  * Xen: x86, espfix: Make espfix64 a Kconfig option, fix UML
    - LP: #1403918
  * Xen: x86, espfix: Make it possible to disable 16-bit support
    - LP: #1403918
  * Xen: x86_64/entry/xen: Do not invoke espfix64 on Xen
    - LP: #1403918
  * Xen: [Config] Enable CONFIG_X86_16BIT
  * Rebased to Ubuntu-2.6.32-72.139
  * Release Tracking Bug
    - LP: #1411354

  [ Ubuntu: 2.6.32-72.139 ]

  * isofs: Fix infinite looping over CE entries
    - LP: #1407947
    - CVE-2014-9420
  * x86/tls: Validate TLS entries to protect espfix
    - LP: #1403852
    - CVE-2014-8133

  [ Ubuntu: 2.6.32-71.138 ]

  * [Config] updateconfigs CONFIG_X86_16BIT=y after v2.6.32.65 update
  * KVM: x86: Check non-canonical addresses upon WRMSR
    - LP: #1384539
    - CVE-2014-3610
  * KVM: x86: Improve thread safety in pit
    - LP: #1384540
    - CVE-2014-3611
  * net:socket: set msg_namelen to 0 if msg_name is passed as NULL in
    msghdr struct from userland.
    - LP: #1335478
  * x86, 64-bit: Move K8 B step iret fixup to fault entry asm
    - LP: #1403918
  * x86-64: Adjust frame type at paranoid_exit:
    - LP: #1403918
  * x86-64, modify_ldt: Ban 16-bit segments on 64-bit kernels
    - LP: #1403918
  * x86-32, espfix: Remove filter for espfix32 due to race
    - LP: #1403918
  * x86-64, espfix: Don't leak bits 31:16 of %esp returning to 16-bit stack
    - LP: #1403918
  * x86, espfix: Move espfix definitions into a separate header file
    - LP: #1403918
  * x86, espfix: Fix broken header guard
    - LP: #1403918
  * x86, espfix: Make espfix64 a Kconfig option, fix UML
    - LP: #1403918
  * x86, espfix: Make it possible to disable 16-bit support
    - LP: #1403918
  * x86_64/entry/xen: Do not invoke espfix64 on Xen
    - LP: #1403918
  * x86/espfix/xen: Fix allocation of pages for paravirt page tables
    - LP: #1403918
  * x86_64, traps: Fix the espfix64 #DF fixup and rewrite it in C
    - LP: #1403918
  * x86_64, traps: Rework bad_iret
    - LP: #1403918
 -- Stefan Bader <email address hidden> Thu, 18 Dec 2014 18:20:27 +0100

Changed in linux-ec2 (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (13.6 KiB)

This bug was fixed in the package linux - 3.2.0-76.111

---------------
linux (3.2.0-76.111) precise; urgency=low

  [ Seth Forshee ]

  * Release Tracking Bug
    - LP: #1410459

  [ Upstream Kernel Changes ]

  * Revert "xhci: clear root port wake on bits if controller isn't wake-up
    capable"
    - LP: #1408799
  * isofs: Fix infinite looping over CE entries
    - LP: #1407947
    - CVE-2014-9420
  * kvm: x86: fix stale mmio cache bug
    - LP: #1408799
  * UBIFS: remove mst_mutex
    - LP: #1408799
  * UBIFS: fix a race condition
    - LP: #1408799
  * UBIFS: fix free log space calculation
    - LP: #1408799
  * Bluetooth: Fix issue with USB suspend in btusb driver
    - LP: #1408799
  * KVM: s390: unintended fallthrough for external call
    - LP: #1408799
  * ext4: check EA value offset when loading
    - LP: #1408799
  * PCI: pciehp: Prevent NULL dereference during probe
    - LP: #1408799
  * PCI: Increase IBM ipr SAS Crocodile BARs to at least system page size
    - LP: #1408799
  * ext4: don't check quota format when there are no quota files
    - LP: #1408799
  * media: usb: uvc: add a quirk for Dell XPS M1330 webcam
    - LP: #1408799
  * USB: serial: cp210x: added Ketra N1 wireless interface support
    - LP: #1408799
  * USB: cp210x: add support for Seluxit USB dongle
    - LP: #1408799
  * PCI: Generate uppercase hex for modalias interface class
    - LP: #1408799
  * v4l2-common: fix overflow in v4l_bound_align_image()
    - LP: #1408799
  * USB: add reset resume quirk for usb3503
    - LP: #1408799
  * USB: Add device quirk for ASUS T100 Base Station keyboard
    - LP: #1408799
  * firmware_class: make sure fw requests contain a name
    - LP: #1408799
  * Drivers: hv: vmbus: Cleanup vmbus_post_msg()
    - LP: #1408799
  * Drivers: hv: vmbus: Cleanup vmbus_teardown_gpadl()
    - LP: #1408799
  * Drivers: hv: vmbus: Cleanup vmbus_establish_gpadl()
    - LP: #1408799
  * Drivers: hv: vmbus: Fix a bug in vmbus_open()
    - LP: #1408799
  * Drivers: hv: vmbus: Cleanup vmbus_close_internal()
    - LP: #1408799
  * Drivers: hv: vmbus: Cleanup hv_post_message()
    - LP: #1408799
  * spi: dw-mid: respect 8 bit mode
    - LP: #1408799
  * spi: dw-mid: check that DMA was inited before exit
    - LP: #1408799
  * spi: dw-mid: terminate ongoing transfers at exit
    - LP: #1408799
  * kvm: don't take vcpu mutex for obviously invalid vcpu ioctls
    - LP: #1408799
  * x86/intel/quark: Switch off CR4.PGE so TLB flush uses CR3 instead
    - LP: #1408799
  * lockd: Try to reconnect if statd has moved
    - LP: #1408799
  * rt2800: correct BBP1_TX_POWER_CTRL mask
    - LP: #1408799
  * staging:iio:ad5933: Drop "raw" from channel names
    - LP: #1408799
  * Documentation: lzo: document part of the encoding
    - LP: #1408799
  * libata-sff: Fix controllers with no ctl port
    - LP: #1408799
  * NFSv4: fix open/lock state recovery error handling
    - LP: #1408799
  * framebuffer: fix border color
    - LP: #1408799
  * framebuffer: fix screen corruption when copying
    - LP: #1408799
  * NFSv4.1: Fix an NFSv4.1 state renewal regression
    - LP: #1408799
  * target: Fix queue full status NULL pointer for SCF_TRANSPORT_TASK_SENSE
    - LP...

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (13.6 KiB)

This bug was fixed in the package linux-armadaxp - 3.2.0-1644.63

---------------
linux-armadaxp (3.2.0-1644.63) precise; urgency=low

  [ Ike Panhc ]

  * Release Tracking Bug
    - LP: #1410909
  * Rebase to Ubuntu-3.2.0-76.111

  [ Ubuntu: 3.2.0-76.111 ]

  * Release Tracking Bug
    - LP: #1410459
  * Revert "xhci: clear root port wake on bits if controller isn't wake-up
    capable"
    - LP: #1408799
  * isofs: Fix infinite looping over CE entries
    - LP: #1407947
    - CVE-2014-9420
  * kvm: x86: fix stale mmio cache bug
    - LP: #1408799
  * UBIFS: remove mst_mutex
    - LP: #1408799
  * UBIFS: fix a race condition
    - LP: #1408799
  * UBIFS: fix free log space calculation
    - LP: #1408799
  * Bluetooth: Fix issue with USB suspend in btusb driver
    - LP: #1408799
  * KVM: s390: unintended fallthrough for external call
    - LP: #1408799
  * ext4: check EA value offset when loading
    - LP: #1408799
  * PCI: pciehp: Prevent NULL dereference during probe
    - LP: #1408799
  * PCI: Increase IBM ipr SAS Crocodile BARs to at least system page size
    - LP: #1408799
  * ext4: don't check quota format when there are no quota files
    - LP: #1408799
  * media: usb: uvc: add a quirk for Dell XPS M1330 webcam
    - LP: #1408799
  * USB: serial: cp210x: added Ketra N1 wireless interface support
    - LP: #1408799
  * USB: cp210x: add support for Seluxit USB dongle
    - LP: #1408799
  * PCI: Generate uppercase hex for modalias interface class
    - LP: #1408799
  * v4l2-common: fix overflow in v4l_bound_align_image()
    - LP: #1408799
  * USB: add reset resume quirk for usb3503
    - LP: #1408799
  * USB: Add device quirk for ASUS T100 Base Station keyboard
    - LP: #1408799
  * firmware_class: make sure fw requests contain a name
    - LP: #1408799
  * Drivers: hv: vmbus: Cleanup vmbus_post_msg()
    - LP: #1408799
  * Drivers: hv: vmbus: Cleanup vmbus_teardown_gpadl()
    - LP: #1408799
  * Drivers: hv: vmbus: Cleanup vmbus_establish_gpadl()
    - LP: #1408799
  * Drivers: hv: vmbus: Fix a bug in vmbus_open()
    - LP: #1408799
  * Drivers: hv: vmbus: Cleanup vmbus_close_internal()
    - LP: #1408799
  * Drivers: hv: vmbus: Cleanup hv_post_message()
    - LP: #1408799
  * spi: dw-mid: respect 8 bit mode
    - LP: #1408799
  * spi: dw-mid: check that DMA was inited before exit
    - LP: #1408799
  * spi: dw-mid: terminate ongoing transfers at exit
    - LP: #1408799
  * kvm: don't take vcpu mutex for obviously invalid vcpu ioctls
    - LP: #1408799
  * x86/intel/quark: Switch off CR4.PGE so TLB flush uses CR3 instead
    - LP: #1408799
  * lockd: Try to reconnect if statd has moved
    - LP: #1408799
  * rt2800: correct BBP1_TX_POWER_CTRL mask
    - LP: #1408799
  * staging:iio:ad5933: Drop "raw" from channel names
    - LP: #1408799
  * Documentation: lzo: document part of the encoding
    - LP: #1408799
  * libata-sff: Fix controllers with no ctl port
    - LP: #1408799
  * NFSv4: fix open/lock state recovery error handling
    - LP: #1408799
  * framebuffer: fix border color
    - LP: #1408799
  * framebuffer: fix screen corruption when copying
    - LP: #1408799
  * NFSv4.1: Fix an NFSv4.1 state renewal regression
    - LP: #...

Changed in linux-armadaxp (Ubuntu Precise):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Changed in linux-ti-omap4 (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (13.6 KiB)

This bug was fixed in the package linux-ti-omap4 - 3.2.0-1459.79

---------------
linux-ti-omap4 (3.2.0-1459.79) precise; urgency=low

  * Release Tracking Bug
    - LP: #1410908

  [ Paolo Pisati ]

  * rebased on Ubuntu-3.2.0-76.111

  [ Ubuntu: 3.2.0-76.111 ]

  * Release Tracking Bug
    - LP: #1410459
  * Revert "xhci: clear root port wake on bits if controller isn't wake-up
    capable"
    - LP: #1408799
  * isofs: Fix infinite looping over CE entries
    - LP: #1407947
    - CVE-2014-9420
  * kvm: x86: fix stale mmio cache bug
    - LP: #1408799
  * UBIFS: remove mst_mutex
    - LP: #1408799
  * UBIFS: fix a race condition
    - LP: #1408799
  * UBIFS: fix free log space calculation
    - LP: #1408799
  * Bluetooth: Fix issue with USB suspend in btusb driver
    - LP: #1408799
  * KVM: s390: unintended fallthrough for external call
    - LP: #1408799
  * ext4: check EA value offset when loading
    - LP: #1408799
  * PCI: pciehp: Prevent NULL dereference during probe
    - LP: #1408799
  * PCI: Increase IBM ipr SAS Crocodile BARs to at least system page size
    - LP: #1408799
  * ext4: don't check quota format when there are no quota files
    - LP: #1408799
  * media: usb: uvc: add a quirk for Dell XPS M1330 webcam
    - LP: #1408799
  * USB: serial: cp210x: added Ketra N1 wireless interface support
    - LP: #1408799
  * USB: cp210x: add support for Seluxit USB dongle
    - LP: #1408799
  * PCI: Generate uppercase hex for modalias interface class
    - LP: #1408799
  * v4l2-common: fix overflow in v4l_bound_align_image()
    - LP: #1408799
  * USB: add reset resume quirk for usb3503
    - LP: #1408799
  * USB: Add device quirk for ASUS T100 Base Station keyboard
    - LP: #1408799
  * firmware_class: make sure fw requests contain a name
    - LP: #1408799
  * Drivers: hv: vmbus: Cleanup vmbus_post_msg()
    - LP: #1408799
  * Drivers: hv: vmbus: Cleanup vmbus_teardown_gpadl()
    - LP: #1408799
  * Drivers: hv: vmbus: Cleanup vmbus_establish_gpadl()
    - LP: #1408799
  * Drivers: hv: vmbus: Fix a bug in vmbus_open()
    - LP: #1408799
  * Drivers: hv: vmbus: Cleanup vmbus_close_internal()
    - LP: #1408799
  * Drivers: hv: vmbus: Cleanup hv_post_message()
    - LP: #1408799
  * spi: dw-mid: respect 8 bit mode
    - LP: #1408799
  * spi: dw-mid: check that DMA was inited before exit
    - LP: #1408799
  * spi: dw-mid: terminate ongoing transfers at exit
    - LP: #1408799
  * kvm: don't take vcpu mutex for obviously invalid vcpu ioctls
    - LP: #1408799
  * x86/intel/quark: Switch off CR4.PGE so TLB flush uses CR3 instead
    - LP: #1408799
  * lockd: Try to reconnect if statd has moved
    - LP: #1408799
  * rt2800: correct BBP1_TX_POWER_CTRL mask
    - LP: #1408799
  * staging:iio:ad5933: Drop "raw" from channel names
    - LP: #1408799
  * Documentation: lzo: document part of the encoding
    - LP: #1408799
  * libata-sff: Fix controllers with no ctl port
    - LP: #1408799
  * NFSv4: fix open/lock state recovery error handling
    - LP: #1408799
  * framebuffer: fix border color
    - LP: #1408799
  * framebuffer: fix screen corruption when copying
    - LP: #1408799
  * NFSv4.1: Fix an NFSv4.1 state renewal regression
    - ...

Changed in linux-ti-omap4 (Ubuntu Precise):
status: Fix Committed → Fix Released
Changed in linux-lts-trusty (Ubuntu Precise):
status: New → Fix Committed
Changed in linux-lts-utopic (Ubuntu Trusty):
status: New → Fix Committed
Changed in linux-lts-quantal (Ubuntu Precise):
status: New → Fix Committed
Changed in linux-lts-saucy (Ubuntu Precise):
status: New → Invalid
Changed in linux (Ubuntu Trusty):
status: New → Fix Committed
Changed in linux (Ubuntu Utopic):
status: New → Fix Committed
Changed in linux-lts-trusty (Ubuntu Precise):
status: Fix Committed → Fix Released
Changed in linux-lts-utopic (Ubuntu Trusty):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu Trusty):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu Utopic):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu Vivid):
status: Fix Committed → Invalid
Changed in linux-lts-quantal (Ubuntu Precise):
status: Fix Committed → Invalid
no longer affects: linux-lts-trusty (Ubuntu Lucid)
no longer affects: linux-armadaxp (Ubuntu Lucid)
no longer affects: linux-ec2 (Ubuntu Lucid)
no longer affects: linux-goldfish (Ubuntu Lucid)
no longer affects: linux-lts-saucy (Ubuntu Lucid)
no longer affects: linux-lts-quantal (Ubuntu Lucid)
no longer affects: linux-mvl-dove (Ubuntu Lucid)
no longer affects: linux-ti-omap4 (Ubuntu Lucid)
no longer affects: linux (Ubuntu Lucid)
no longer affects: linux-mako (Ubuntu Lucid)
no longer affects: linux-fsl-imx51 (Ubuntu Lucid)
no longer affects: linux-lts-utopic (Ubuntu Lucid)
no longer affects: linux-flo (Ubuntu Lucid)
no longer affects: linux-lts-raring (Ubuntu Lucid)
no longer affects: linux-manta (Ubuntu Lucid)
Changed in linux-lts-vivid (Ubuntu Precise):
status: New → Invalid
importance: Undecided → Medium
Changed in linux-lts-vivid (Ubuntu Vivid):
status: New → Invalid
importance: Undecided → Medium
Changed in linux-lts-vivid (Ubuntu Wily):
status: New → Invalid
importance: Undecided → Medium
Changed in linux-lts-vivid (Ubuntu Utopic):
status: New → Invalid
importance: Undecided → Medium
Changed in linux-lts-vivid (Ubuntu Trusty):
status: New → Fix Committed
importance: Undecided → Medium
Rolf Leggewie (r0lf) wrote :

lucid has seen the end of its life and is no longer receiving any updates. Marking the lucid task for this ticket as "Won't Fix".

Changed in linux-lts-backport-maverick (Ubuntu Lucid):
status: New → Won't Fix
Changed in linux-lts-backport-natty (Ubuntu Lucid):
status: New → Won't Fix
no longer affects: linux-lts-trusty (Ubuntu Utopic)
no longer affects: linux-armadaxp (Ubuntu Utopic)
no longer affects: linux-ec2 (Ubuntu Utopic)
no longer affects: linux-goldfish (Ubuntu Utopic)
no longer affects: linux-lts-saucy (Ubuntu Utopic)
no longer affects: linux-lts-quantal (Ubuntu Utopic)
no longer affects: linux-mvl-dove (Ubuntu Utopic)
no longer affects: linux-ti-omap4 (Ubuntu Utopic)
no longer affects: linux-lts-vivid (Ubuntu Utopic)
no longer affects: linux (Ubuntu Utopic)
no longer affects: linux-mako (Ubuntu Utopic)
no longer affects: linux-fsl-imx51 (Ubuntu Utopic)
no longer affects: linux-lts-utopic (Ubuntu Utopic)
no longer affects: linux-flo (Ubuntu Utopic)
no longer affects: linux-lts-raring (Ubuntu Utopic)
no longer affects: linux-manta (Ubuntu Utopic)
Steve Beattie (sbeattie) on 2015-11-10
Changed in linux-lts-wily (Ubuntu Precise):
status: New → Invalid
importance: Undecided → Medium
Changed in linux-lts-wily (Ubuntu Wily):
status: New → Invalid
importance: Undecided → Medium
Changed in linux-lts-wily (Ubuntu Xenial):
status: New → Invalid
importance: Undecided → Medium
Changed in linux-lts-wily (Ubuntu Trusty):
status: New → Invalid
importance: Undecided → Medium
Changed in linux-lts-wily (Ubuntu Vivid):
status: New → Invalid
importance: Undecided → Medium
Steve Beattie (sbeattie) on 2015-11-16
Changed in linux-raspi2 (Ubuntu Precise):
status: New → Invalid
importance: Undecided → Medium
Changed in linux-raspi2 (Ubuntu Wily):
status: New → Invalid
importance: Undecided → Medium
Changed in linux-raspi2 (Ubuntu Xenial):
status: New → Invalid
importance: Undecided → Medium
Changed in linux-raspi2 (Ubuntu Trusty):
status: New → Invalid
importance: Undecided → Medium
Changed in linux-raspi2 (Ubuntu Vivid):
status: New → Invalid
importance: Undecided → Medium
Steve Beattie (sbeattie) on 2015-12-03
Changed in linux-raspi2 (Ubuntu Xenial):
status: Invalid → Fix Committed
Steve Beattie (sbeattie) on 2016-02-10
Changed in linux-lts-xenial (Ubuntu Precise):
status: New → Invalid
importance: Undecided → Medium
Changed in linux-lts-xenial (Ubuntu Wily):
status: New → Invalid
importance: Undecided → Medium
Changed in linux-lts-xenial (Ubuntu Xenial):
status: New → Invalid
importance: Undecided → Medium
Changed in linux-lts-xenial (Ubuntu Trusty):
status: New → Fix Committed
importance: Undecided → Medium
Steve Beattie (sbeattie) on 2016-04-19
Changed in linux-manta (Ubuntu Xenial):
status: New → Invalid
Rolf Leggewie (r0lf) on 2016-04-24
Changed in linux-lts-backport-maverick (Ubuntu Utopic):
status: New → Won't Fix
Changed in linux-lts-backport-natty (Ubuntu Utopic):
status: New → Won't Fix
Steve Beattie (sbeattie) on 2016-05-05
Changed in linux-snapdragon (Ubuntu Precise):
status: New → Invalid
importance: Undecided → Medium
Changed in linux-snapdragon (Ubuntu Wily):
status: New → Invalid
importance: Undecided → Medium
Changed in linux-snapdragon (Ubuntu Xenial):
status: New → Invalid
importance: Undecided → Medium
Changed in linux-snapdragon (Ubuntu Yakkety):
status: New → Invalid
importance: Undecided → Medium
Changed in linux-snapdragon (Ubuntu Trusty):
status: New → Invalid
importance: Undecided → Medium

This bug was nominated against a series that is no longer supported, ie vivid. The bug task representing the vivid nomination is being closed as Won't Fix.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux-flo (Ubuntu Vivid):
status: New → Won't Fix
To post a comment you must log in.
This report contains Public Security information  Edit
Everyone can see this security related information.

Other bug subscribers